%global pypi_name widgetsnbextension

Summary:        Interactive HTML widgets for Jupyter notebooks
Name:           python-%{pypi_name}
Version:        4.0.11
Release:        1%{?dist}
License:        BSD-3-Clause
URL:            http://ipython.org
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python-jupyter-filesystem
BuildArch:      noarch

%description
Interactive HTML widgets for Jupyter notebooks.

%package -n     python3-%{pypi_name}
Summary:        Interactive HTML widgets for Jupyter notebooks
Requires:       python3dist(notebook)
Requires:       python-jupyter-filesystem

%description -n python3-%{pypi_name}
Interactive HTML widgets for Jupyter notebooks.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

mkdir -p %{buildroot}%{_sysconfdir}/jupyter/nbconfig/notebook.d/
mv {%{buildroot}%{_prefix}/etc,%{buildroot}%{_sysconfdir}}/jupyter/nbconfig/notebook.d/widgetsnbextension.json

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_datadir}/jupyter/nbextensions/jupyter-js-widgets/
%config(noreplace) %{_sysconfdir}/jupyter/nbconfig/notebook.d/widgetsnbextension.json

%changelog
* Thu Jun 13 2024 Shuo Wang <abushwang@tencent.com> - 4.0.11-1
- initial build
